package cl.jtv;

/*
 * ComandoEC.java
 *
 * Created on 19 de febrero de 2003, 02:41 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoEC extends Comando {

    /** Creates new ComandoEC */
    public ComandoEC(Object newArtefacto, Vector2 newVector2) {
        super(newArtefacto,newVector2);        
    }

    public void doIt() {
        JTV jtv = (JTV)artefacto;
        
        jtv.removeTape();
        jtv.setArrayOfTapes();
        vector2.decrNumeroCintas();
        
        Maquina.displayIndex=vector2.getNumeroCintas()!=1;        
        jtv.getDrawingTapesArea().repaint();
    }
    
    
}
